Subject: Re: [RFC] vlan: add sysfs support

From: Stephen Hemminger <[email-masked]>
Date: Mon, 1 May 2006 15:26:37 -0700

On Mon, 01 May 2006 15:07:14 -0700
Ben Greear <[email-masked]> wrote:

> Stephen Hemminger wrote:
> > Add basic sysfs support for vlan device. It creates an entry in the
> > vlan pseudo-device to display tag.  
> > 	/sys/class/net/eth0.5/vlan_id
> 
> Looks fine to me, though I don't know enough about sysfs to notice
> any bugs with it...
> 
> I do have a question:  Will this work for > 256 vlans?
> 
> /proc had a limit of around 256 directories last I
> checked, so just curious.
> 
> Thanks,
> Ben
> 

There should be no limits caused by sysfs...